<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="vacuna">
        <h2 class="jh-entity-heading" data-cy="vacunaDetailsHeading">
          <span v-text="$t('gatewayApp.biologicoVacuna.detail.title')">Vacuna</span> {{ vacuna.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.biologicoVacuna.nombreVacuna')">Nombre Vacuna</span>
          </dt>
          <dd>
            <span>{{ vacuna.nombreVacuna }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.biologicoVacuna.tipoVacuna')">Tipo Vacuna</span>
          </dt>
          <dd>
            <span>{{ vacuna.tipoVacuna }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.biologicoVacuna.descripcionVacuna')">Descripcion Vacuna</span>
          </dt>
          <dd>
            <span>{{ vacuna.descripcionVacuna }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.biologicoVacuna.fechaIngreso')">Fecha Ingreso</span>
          </dt>
          <dd>
            <span v-if="vacuna.fechaIngreso">{{ $d(Date.parse(vacuna.fechaIngreso), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.biologicoVacuna.loteVacuna')">Lote Vacuna</span>
          </dt>
          <dd>
            <span>{{ vacuna.loteVacuna }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.biologicoVacuna.fabricante')">Fabricante</span>
          </dt>
          <dd>
            <div v-if="vacuna.fabricante">
              <router-link :to="{ name: 'FabricanteView', params: { fabricanteId: vacuna.fabricante.id } }">{{
                vacuna.fabricante.id
              }}</router-link>
            </div>
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link v-if="vacuna.id" :to="{ name: 'VacunaEdit', params: { vacunaId: vacuna.id } }" custom v-slot="{ navigate }">
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./vacuna-details.component.ts"></script>
